{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.appearance.base;
in {
  options.marleyos.appearance.base.enable = lib.mkEnableOption "base";

  config = lib.mkIf cfg.enable {
    fonts.packages = with pkgs; [
      maple-mono-NF
    ];
  };
}
