{
  lib,
  config,
  pkgs,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.wireguard;
in
{
  options.marleyos.programs.wireguard.enable = mkEnableOption "wireguard";

  config = mkIf cfg.enable {
    homebrew.masApps = {
      "WireGuard" = 1451685025;
    };
  };
}
