{
  lib,
  config,
  inputs,
  ...
}: let
  cfg = config.marleyos.appearance.qt;
in {
  options.marleyos.appearance.qt.enable = lib.mkEnableOption "qt";

  config = lib.mkIf cfg.enable {
    qt = {
      enable = true;
    };
  };
}
