{
  lib,
  config,
  inputs,
  ...
}: let
  cfg = config.marleyos.nixGL;
in {
  options.marleyos.nixGL.enable = lib.mkEnableOption "nixGL";

  config = lib.mkIf cfg.enable {
    nixGL = {
      inherit (inputs.nixgl) packages;
      defaultWrapper = "nvidia";
    };
  };
}
