{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.journalctl;
in {
  options.marleyos.programs.journalctl.enable = lib.mkEnableOption "journalctl";

  config = lib.mkIf cfg.enable {
    home.shellAbbrs = {
      jctlf = "sudo journalctl --follow --unit";
      jctle = "sudo journalctl --pager-end --unit";
    };
  };
}
