{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.less;
in {
  options.marleyos.programs.less.enable = lib.mkEnableOption "less";

  config = lib.mkIf cfg.enable {
    programs.less.enable = true;

    home.sessionVariables = {
      LESS = "-R";
    };

    programs.lesspipe.enable = true;
  };
}
