{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.starship;
in {
  options.marleyos.programs.starship.enable = lib.mkEnableOption "starship";

  imports = [
    ./nerd-font-symbols.nix
    ./theme.nix
  ];

  config = lib.mkIf cfg.enable {
    programs.starship = {
      enable = true;
    };
  };
}
