{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.systemctl;
in {
  options.marleyos.programs.systemctl.enable = lib.mkEnableOption "systemctl";

  config = lib.mkIf cfg.enable {
    home.shellAbbrs = {
      sctl = "sudo systemctl";
      sctls = "sudo systemctl status";
      sctle = "sudo systemctl enable --now";
      sctld = "sudo systemctl disable --now";
      sctlr = "sudo systemctl restart";
      sctla = "sudo systemctl start";
      sctlo = "sudo systemctl stop";
    };
  };
}
