{
  lib,
  config,
  pkgs,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.tea;
in
{
  options.marleyos.programs.tea.enable = mkEnableOption "tea";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      tea
    ];
  };
}
