{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.CEmu;
in {
  options.marleyos.programs.CEmu.enable = lib.mkEnableOption "CEmu";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      # cemu-ti
      marleyos.CEmu-TI-84-Plus-CE
    ];
  };
}
