{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.thunderbird;
in {
  options.marleyos.programs.thunderbird.enable = lib.mkEnableOption "thunderbird";

  config = lib.mkIf cfg.enable {
    programs.thunderbird = {
      enable = true;

      settings = {
        "privacy.donottrackheader.enabled" = true;
      };

      profiles."${config.marleyos.my.name}" = {
        isDefault = true;
      };
    };
  };
}
