{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.zathura;
in {
  options.marleyos.programs.zathura.enable = lib.mkEnableOption "zathura";

  config = lib.mkIf cfg.enable {
    programs.zathura = {
      enable = true;
    };
  };
}
