{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.btop;
in {
  options.marleyos.programs.btop.enable = lib.mkEnableOption "btop";

  config = lib.mkIf cfg.enable {
    programs.btop = {
      enable = true;

      settings = {
        truecolor = true;
        vim_keys = true;
      };
    };
  };
}
