{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.services.gnome-keyring;
in {
  options.marleyos.services.gnome-keyring.enable = lib.mkEnableOption "gnome-keyring";

  config = lib.mkIf cfg.enable {
    services.gnome-keyring = {
      enable = true;
    };
  };
}
