{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.xorg.xsession;
in {
  options.marleyos.xorg.xsession.enable = lib.mkEnableOption "xsession";

  config = lib.mkIf cfg.enable {
    xsession = {
      enable = true;

      numlock.enable = true;
    };
  };
}
