{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.mounts.automounts;
in {
  options.marleyos.mounts.automounts.enable = lib.mkEnableOption "automounts";

  config = lib.mkIf cfg.enable {
    boot.supportedFilesystems = {
      ntfs = true;
    };

    services.udisks2.enable = true;
  };
}
