{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.cli;

  inherit (lib.marleyos) enabled;
in {
  options.marleyos.programs.cli.enable = lib.mkEnableOption "cli";

  config = lib.mkIf cfg.enable {
    marleyos.programs = {
      fish = enabled;
      nh = enabled;
    };
  };
}
