{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.services.docker;
in {
  options.marleyos.services.docker.enable = lib.mkEnableOption "docker";

  config = lib.mkIf cfg.enable {
    virtualisation.docker.enable = true;
  };
}
