{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.services.ly;
in {
  options.marleyos.services.ly.enable = lib.mkEnableOption "ly";

  config = lib.mkIf cfg.enable {
    services.displayManager.ly = {
      enable = true;
    };
  };
}
