{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.jq;
in {
  options.marleyos.programs.jq.enable = lib.mkEnableOption "jq";

  config = lib.mkIf cfg.enable {
    programs.jq = {
      enable = true;
    };
  };
}
