{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.man;
in {
  options.marleyos.programs.man.enable = lib.mkEnableOption "man";

  config = lib.mkIf cfg.enable {
    programs.man.enable = true;

    home.sessionVariables = {
      MANWIDTH = "80";
      # TODO: Only set this is nvim is installed. Also install plugin here?
      MANPAGER = "nvim +NoNeckPain '+set nowrap' +Man!";
    };
  };
}
