{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.rbw;
in {
  options.marleyos.programs.rbw.enable = lib.mkEnableOption "rbw";

  config = lib.mkIf cfg.enable {
    programs.rbw = {
      enable = true;

      settings.email = "bitwarden@punkfairie.net";
    };
  };
}
