{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.calibre;
in {
  options.marleyos.programs.calibre.enable = lib.mkEnableOption "calibre";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      calibre
    ];
  };
}
