{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.nemo;
in {
  options.marleyos.programs.nemo.enable = lib.mkEnableOption "nemo";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      nemo
    ];

    marleyos.apps.file-browser = pkgs.nemo;
  };
}
