{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.services.udiskie;
in {
  options.marleyos.services.udiskie.enable = lib.mkEnableOption "udiskie";

  config = lib.mkIf cfg.enable {
    services.udiskie = {
      enable = true;
      settings = {
        program_options = {
          # FIXME: set default file manager in default progs mod
          file_manager = "${lib.getExe pkgs.xfce.thunar}";
        };
      };
    };
  };
}
