{
  config,
  lib,
  ...
}: let
  cfg = config.marleyos.programs.nh;
in {
  options.marleyos.programs.nh.enable = lib.mkEnableOption "nh";

  config = lib.mkIf cfg.enable {
    programs.nh = {
      enable = true;
      clean = {
        enable = true;
        dates = "daily";
        extraArgs = "--keep-since 7d --keep 3";
      };
    };
  };
}
