{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.lutris;
in {
  options.marleyos.programs.lutris.enable = lib.mkEnableOption "lutris";

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      lutris
    ];

    programs.gamemode.enable = true;
  };
}
