{
  config,
  lib,
  ...
}: let
  cfg = config.marleyos.programs.hyprlock;
in {
  options.marleyos.programs.hyprlock.enable = lib.mkEnableOption "hyprlock";

  config = lib.mkIf cfg.enable {
    programs.hyprlock = {
      enable = true;
    };
  };
}
